apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    team: walrus
    system: job-ads
    component: joblinks-api
    environment: staging
  name: joblinks-search-api-staging
  namespace: openshift-gitops
spec:
  destination:
    namespace: joblinks-search-api-staging
    server: https://kubernetes.default.svc
  project: walrus
  source:
    path: kustomize/overlays/staging
    repoURL: https://gitlab.com/arbetsformedlingen/job-ads/joblinks-search-api-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
